Bug 76386 - gcc segmentation fault when compiling kernel.
gcc segmentation fault when compiling kernel.
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-10-21 03:53 EDT by Theewara Vorakosit
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-02 16:36:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Theewara Vorakosit 2002-10-21 03:53:27 EDT
Description of Problem:
gcc segmentation fault when compiling kernel.

Version-Release number of selected component (if applicable) : 

How Reproducible:
Install Red Hat 8.0 which kernel-source package on Athlon XP.

Steps to Reproduce:
1. make menuconfig, select kernel components as usual
2. make dep ; make clean ; make bzImage

Actual Results:
gcc -D__KERNEL__ -I/usr/src/linux-2.4.18-14/include -Wall -Wstrict-prototypes
-mpreferred-stack-boundary=2 -march=i686 -malign-functinos=4 -nostdinc
-I/usr/lib/gcc-lib/i386-redhat-linux/3.2/include -DKBUILD_BASENAME=serverworks
-c -o serverworks.o serverworks.c
cc1: warning -malign-function is obsolete, use -falign-functions
serverworks.c: In function `svwks_get_info':
serverworks.c:198: internal error: Segmentation fault

Expected Results:

Additional Information:
There are a lot of segmentation fault not depend on the compiled files.
Comment 1 Jakub Jelinek 2002-10-21 03:56:37 EDT
If the segfaults are reproduceable (ie. always on the same file same place),
then please attach preprocessed source on which gcc segfaults (use -save-temps
gcc option), otherwise it is a because of faulty hardware.
Comment 2 Jakub Jelinek 2004-10-02 16:36:01 EDT
No response in almost 2 years, closing.

Note You need to log in before you can comment on or make changes to this bug.